Page MenuHomePhabricator

Add vagrant roles for extensions maintained by WMF Reading
Closed, ResolvedPublic

Description

Currently many of the reading extensions have to be manually added to Vagrant by checking out the git repo in the extensions folder.

Please add

Remove

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 30 2016, 8:07 PM

@Jdlrobson do we have to ping anyone specifically to get this going, or is the fact that you added MediaWiki-Vagrant enough? (Asking for backlog grooming reasons.)

bd808 added a subscriber: bd808.Dec 4 2016, 1:36 AM

@Jdlrobson do we have to ping anyone specifically to get this going, or is the fact that you added MediaWiki-Vagrant enough? (Asking for backlog grooming reasons.)

No magic elves are going to write the Puppet code for you. :)

bmansurov triaged this task as High priority.Dec 7 2016, 5:46 PM
bmansurov added subscribers: Tgr, bmansurov.

@Tgr can you (as a member of Reading Infrastructure) help us with this task?

Tgr added a comment.Dec 7 2016, 8:33 PM

Are you asking me to provide information on how to do it, or to actually do it? (Either one works, just trying to clarify.) In the first case, https://www.mediawiki.org/wiki/MediaWiki-Vagrant#Authoring_roles has some documentation about writing new roles. Puppet's own documentation sucks but it's a relatively simple declarative language so most of it can be picked up by just looking at existing roles.

Tgr renamed this task from Add vagrant roles for reading services to Add vagrant roles for extensions maintained by WMF Reading.Dec 7 2016, 8:35 PM
Tgr updated the task description. (Show Details)
Tgr added a comment.Dec 7 2016, 10:23 PM

There is also a vagrant role creation GCI task from last year which has some info.

@Tgr, I'm asking you to do it please.

Tgr added a comment.Dec 10 2016, 3:08 AM

Some of these extensions could use a documentation refresh. The QuickSurvey docs on how to actually a survey are too vague to be useful (I ended up not testing it). RelatedArticles has some strange behavior which should probably be mentioned on the description page ($wgRelatedArticlesShowInFooter gets ignored if BetaFeatures are not installed; $wgRelatedArticlesUseCirrusSearch gets ignored in the sidebar); $wgRelatedArticlesShowReadMore does not seem to exist anymore.

Change 326241 had a related patch set uploaded (by Gergő Tisza):
Update Reading Web roles

https://gerrit.wikimedia.org/r/326241

Change 326394 had a related patch set uploaded (by Gergő Tisza):
[WIP] Add mediawiki::import::url

https://gerrit.wikimedia.org/r/326394

^ is the above patch related to this task? IT seems more related to T62116 ?

Tgr added a comment.Dec 13 2016, 5:57 PM

Yeah, it has more to do with that task.

Change 326241 merged by jenkins-bot:
Update Reading Web roles

https://gerrit.wikimedia.org/r/326241

bmansurov closed this task as Resolved.Dec 21 2016, 11:27 PM
bmansurov claimed this task.
bd808 reassigned this task from bmansurov to Tgr.Dec 22 2016, 12:03 AM

Change 326394 merged by jenkins-bot:
Add mediawiki::import::url

https://gerrit.wikimedia.org/r/326394